// animateOnScroll.js

document.addEventListener("DOMContentLoaded", function() {
    function animateOnScroll() {
        var elements = document.querySelectorAll('.animate-on-scroll');

        elements.forEach(function(element) {
            var position = element.getBoundingClientRect();

            // Verifica se o elemento está pelo menos parcialmente visível na janela de visualização
            if (position.top < window.innerHeight && position.bottom >= 0) {
                element.classList.add('animate__animated', 'animate__fadeInUp');
            } else {
                element.classList.remove('animate__animated', 'animate__fadeInUp');
            }
        });
    }

    animateOnScroll();  // Chama a função ao carregar a página inicialmente
    window.addEventListener('scroll', animateOnScroll);  // Chama a função ao rolar a página
});


