(function($) {
    $.fn.menumaker = function(options) {
        var nav = $(this),
            settings = $.extend({ format: "dropdown", sticky: false }, options);
        
        return this.each(function() {
            $(this).find(".button").on('click', function() {
                $(this).toggleClass('menu-opened');
                var mainmenu = $(this).next('ul');
                
                if (mainmenu.hasClass('open')) {
                    mainmenu.slideToggle().removeClass('open');
                } else {
                    mainmenu.slideToggle().addClass('open');
                    if (settings.format === "dropdown") {
                        mainmenu.find('ul').show();
                    }
                }
            });

            nav.find('li ul').parent().addClass('has-sub');

            var multiTg = function() {
                nav.find(".has-sub").prepend('<span class="submenu-button"></span>');
                nav.find('.submenu-button').on('click', function() {
                    $(this).toggleClass('submenu-opened');
                    if ($(this).siblings('ul').hasClass('open')) {
                        $(this).siblings('ul').removeClass('open').slideToggle();
                    } else {
                        $(this).siblings('ul').addClass('open').slideToggle();
                    }
                });
            };

            if (settings.format === 'multitoggle') {
                multiTg();
            }
        });
    };
})(jQuery);

(function($) {
    $(document).ready(function() {
        $("#nav").menumaker({ format: "multitoggle" });
    });
})(jQuery);
