<?php
$entidade = $_GET['ent'] ?? $APP->entidade->id;

// Array para armazenar os totais por ano
$totais_por_ano = array();

// Definir o período de consulta
$data_atual = new DateTime();
$ano_atual = $data_atual->format('Y');

// Loop através dos anos
for ($ano = $ano_atual; $ano >= $ano_atual - 3; $ano--) {
    // Definir a data de início e fim do ano
    $data_inicio_ano = new DateTime("$ano-01-01");
    $data_fim_ano = new DateTime("$ano-12-31");

    // Formatar as datas no formato Y-m-d
    $data_inicio_ano_formatada = $data_inicio_ano->format('Y-m-d');
    $data_fim_ano_formatada = $data_fim_ano->format('Y-m-d');

    // Consulta para obter totais por status para o ano atual
    $consulta_status = "
        SELECT
            s.nome as status,
            count(o.id) as qtd
        FROM ouvidoria o
        LEFT JOIN ouvidoria_status s ON o.status = s.id
        WHERE o.entidade = '$entidade'
            AND YEAR(o.data) = '$ano'
        GROUP BY s.nome
        ORDER BY qtd DESC";

    $resultado_status = mysqli_query($conectaDB, $consulta_status) or die(mysqli_error($conectaDB));

    // Inicializar totais para este ano
    $totais_ano = array(
        'ano' => $ano,
        'total' => 0,
        'recebido' => 0,
        'finalizado' => 0,
        'respondido' => 0,
        'pendente' => 0,
        'total_respostas' => $total_respostas // Adicionando o total de respostas
    );

        // Consulta para obter o número total de respostas para o ano atual
    $consulta_respostas = "
        SELECT
            COUNT(id) as total_respostas
        FROM ouvidoria_respostas
        WHERE YEAR(data) = '$ano'";

    $resultado_respostas = mysqli_query($conectaDB, $consulta_respostas) or die(mysqli_error($conectaDB));

    // Obter o total de respostas para este ano
    $total_respostas = 0;
    if ($resultado_respostas && mysqli_num_rows($resultado_respostas) > 0) {
        $linha_respostas = mysqli_fetch_assoc($resultado_respostas);
        $total_respostas = $linha_respostas['total_respostas'];
    }

    // Calcular totais por status para este ano
    if ($resultado_status) {
        while ($linha_status = mysqli_fetch_assoc($resultado_status)) {
            switch ($linha_status['status']) {
                case 'Recebido':
                    $totais_ano['recebido'] += $linha_status['qtd'];
                    break;
                case 'Análise':
                    $totais_ano['analise'] += $linha_status['qtd'];
                    break;
                case 'Finalizado':
                    $totais_ano['finalizado'] += $linha_status['qtd'];
                    break;
                case 'Respondido':
                    $totais_ano['respondido'] += $linha_status['qtd'];
                    break;
                default:
                    $totais_ano['pendente'] += $linha_status['qtd'];
                    break;
            }
            // Somar o total de ocorrências para calcular o total geral
            $totais_ano['total'] += $linha_status['qtd'];
        }
    }

    // Adicionar totais deste ano ao array de totais por ano
    $totais_por_ano[] = $totais_ano;
   }
?>

<style>
    table {width: 100%; border-collapse: collapse;}
    td {height: 50px; border: 1px solid black; text-align: center}
    .cabecalho { font: bold 13px Verdana; background-color: #bec1fa; }
    .dados { font: bold 17px Verdana; }
    .linha-clara { background-color: #bec1fa}
    .linha-escura { background-color:  #caccfa;; }
</style>

<div class="tta">RELATÓRIO ESTATÍSTICO OUVIDORIA</div>
<div class="mt5 mb5"><h5>(*) Os número do ano em curso expressam os registros em tempo real.</h5></div> 
<div class="h5 mt5 mb5">
    <table>
        <tr>
            <td class="cabecalho">Ano</td>
            <td class="cabecalho">Demandas <br> Recebidas</td>
            <td class="cabecalho">Em Análise</td>
            <td class="cabecalho">Respondidas</td>
            <td class="cabecalho">Resolvidos <br> Finalizados</td>
            <td class="cabecalho">Total de<br> Despachos</td>
        </tr>
        <?php 
        $linha_css = 'linha-clara';
        foreach ($totais_por_ano as $totais_ano): 
            // Alternar entre classes de linha clara e escura
            $linha_css = ($linha_css == 'linha-clara') ? 'linha-escura' : 'linha-clara';
        ?>
            <tr class="<?= $linha_css ?>">
                <td class="dados"><?= $totais_ano['ano'] ?></td>
                <td class="dados"><?= $totais_ano['total'] ?></td>
                <td class="dados"><?= $totais_ano['analise'] ?></td>
                <td class="dados"><?= $totais_ano['respondido'] ?></td>
                <td class="dados"><?= $totais_ano['finalizado'] ?></td>
                <td class="dados"><?= $totais_ano['total_respostas'] ?></td> <!-- Exibindo o total de respostas -->
            </tr>
        <?php endforeach; ?>
    </table>
</div>
