<div>
    <?php
    $entidade = $_GET['ent'] ?? $APP->entidade->id;

    // Array para armazenar os totais por ano
    $totais_por_ano = array();

    // Definir o período de consulta
    $data_atual = new DateTime();
    $ano_atual = $data_atual->format('Y');

    // Loop através dos anos
    for ($ano = $ano_atual; $ano >= $ano_atual - 3; $ano--) {
        // Definir a data de início e fim do ano
        $data_inicio_ano = new DateTime("$ano-01-01");
        $data_fim_ano = new DateTime("$ano-12-31");

        // Formatar as datas no formato Y-m-d
        $data_inicio_ano_formatada = $data_inicio_ano->format('Y-m-d');
        $data_fim_ano_formatada = $data_fim_ano->format('Y-m-d');

        // Consulta para obter totais por finalidade para o ano atual
        $consulta_finalidades = "
        SELECT
            f.nome as finalidade,
            count(o.id) as qtd
        FROM ouvidoria o
        LEFT JOIN ouvidoria_finalidades f ON o.finalidade = f.id
        WHERE o.entidade = '$entidade'
            AND o.data BETWEEN '$data_inicio_ano_formatada' AND '$data_fim_ano_formatada'
        GROUP BY finalidade
        ORDER BY qtd DESC";

        $resultado_finalidades = mysqli_query($conectaDB, $consulta_finalidades) or die(mysqli_error($conectaDB));

        // Consulta para obter totais por status para o ano atual
        $consulta_status = "
            SELECT
                s.nome as status,
                count(o.id) as qtd
            FROM ouvidoria o
            LEFT JOIN ouvidoria_status s ON o.status = s.id
            WHERE o.entidade = '$entidade'
                AND YEAR(o.data) = '$ano'
            GROUP BY s.nome
            ORDER BY qtd DESC";

        $resultado_status = mysqli_query($conectaDB, $consulta_status) or die(mysqli_error($conectaDB));

        // Consulta para obter o número total de respostas para o ano atual
        $consulta_respostas = "
            SELECT
                COUNT(id) as total_respostas
            FROM ouvidoria_respostas
            WHERE YEAR(data) = '$ano'";

        $resultado_respostas = mysqli_query($conectaDB, $consulta_respostas) or die(mysqli_error($conectaDB));

        // Obter o total de respostas para este ano
        $total_respostas = 0;
        if ($resultado_respostas && mysqli_num_rows($resultado_respostas) > 0) {
            $linha_respostas = mysqli_fetch_assoc($resultado_respostas);
            $total_respostas = $linha_respostas['total_respostas'];
        }

        // Inicializar totais para este ano
        $totais_ano = array(
            'ano' => $ano,
            'total' => 0,
            'total_respostas' => $total_respostas // Adicionando o total de respostas
        );

        // Inicializar os totais de status como 0
        $status_totais = array();
        $consulta_status_total = "SELECT id, nome FROM ouvidoria_status";
        $resultado_status_total = mysqli_query($conectaDB, $consulta_status_total) or die(mysqli_error($conectaDB));
        while ($row = mysqli_fetch_assoc($resultado_status_total)) {
            $status_totais[$row['nome']] = 0;
        }

        // Calcular totais por finalidade para este ano
        if ($resultado_finalidades) {
            while ($linha_finalidades = mysqli_fetch_assoc($resultado_finalidades)) {
                $totais_ano['total'] += $linha_finalidades['qtd'];
            }
        }

        // Calcular totais por status para este ano
        if ($resultado_status) {
            while ($linha_status = mysqli_fetch_assoc($resultado_status)) {
                $status_totais[$linha_status['status']] = $linha_status['qtd'];
            }
        }

        // Adicionar totais de status ao array de totais por ano
        $totais_ano = array_merge($totais_ano, $status_totais);

        // Adicionar totais deste ano ao array de totais por ano
        $totais_por_ano[] = $totais_ano;
    }
    ?>

    <style>
        table {width: 100%; border-collapse: collapse;}
        td {height: 50px; border: 1px solid black; text-align: center}
        .cabecalho {font: bold 13px Verdana}
        .dados {font: bold 17px Verdana}
    </style>

    <div class="tta">SOLICITAÇÕES A OUVIDORIA</div>
    <div class="h5 mt5 mb5">
        <table>
            <tr>
                <td class="cabecalho">Ano</td>
                <td class="cabecalho">Demandas <br> Recebidas</td>
                <td class="cabecalho">Em Análise</td>
                <td class="cabecalho">Finalizadas</td>
                <td class="cabecalho">Respondidas</td>
                <td class="cabecalho">Pendentes</td>
                <td class="cabecalho">Total de<br> Despachos</td>
            </tr>
            <?php foreach ($totais_por_ano as $totais_ano): ?>
                <tr>
                    <td class="cabecalho"><?= $totais_ano['ano'] ?></td>
                    <td class="dados"><?= $totais_ano['total'] ?></td>
                    <td class="dados"><?= $totais_ano['recebido'] ?></td>
                    <td class="dados"><?= $totais_ano['finalizado'] ?></td>
                    <td class="dados"><?= $totais_ano['respondido'] ?></td>
                    <td class="dados"><?= $totais_ano['pendente'] ?></td>
                    <td class="dados"><?= $totais_ano['total_respostas'] ?></td> <!-- Exibindo o total de respostas -->
                </tr>
            <?php endforeach; ?>
        </table>
    </div>
</div>
