<?php
// Verificação da busca
if (empty($_GET['busca'])) {
?>
    <h3>Não foi encontrado nenhum dado com este argumento.</h3>
<?php
} else {
    $busca = $_GET['busca'];
    $limite = 20;
    $pag = (isset($_GET['pag']) && filter_var($_GET['pag'], FILTER_VALIDATE_INT)) ? $_GET['pag'] : 1;
    $extra = false; // Pesquisa em campos menos importante (texto)
    $r = $APP->startBusca($busca, $extra);

    /* CAMPOS DA PESQUISA: noticias, audios, galerias, videos, agenda, downloads */
    $R = array();
    foreach ($r as $k => $z) {
        foreach ($z as $x) {
            $x->app = $k;
            $R[] = $x;
        }
    }

    $total = count($R);
    if ($total > $limite) {
        $ARRAY = array_chunk($R, $limite);
        $R = $ARRAY[$pag - 1];
    }

    $url = 'pag.php?pg=pesquisa&busca=' . urlencode($busca);
}
?>

<style>.small { width: 280px; }</style>
<link rel="stylesheet" type="text/css" href="<?= PLUGINS ?>font-awesome/css/font-awesome.min.css" media="screen" />
<script type="text/javascript" src="../site/audios/player/audio-player.js"></script>

<a class="navigation fleft" href="index.php">Principal</a>
<span class="navigation fleft">Resultado da Busca</span>
<a class="navigation fright" href="javascript:history.go(-1)"><i class="btn fa fa-angle-double-left mr5"></i>Voltar</a>
<div class="clear"></div>
<div class="mt10"></div>
<hr>

<div>
    <div class="tt3">Resultado da Busca</div>
    <hr>

    <div class="col-2-4-3-emax">
        <div class="aside">
            <table style="width:100%">
            <?php if (!empty($R)) { ?>
                <?php foreach ($R as $r) { ?>
                    <?php if ($r->app == 'classificados') { ?>
                        <!-- classificados -->
                        <tr>
                            <td class="icon center"><i class="fa fa-search fa-2x"></i></td>
                            <td class="text">
                                <a class="h4" href="pag.php?pg=classificados/view&tag=<?= $r->tag ?>&secao=<?= $r->secao ?>">
                                    <h6><b>CLASSIFICADOS</b></h6>
                                    <h3><b><?= $r->titulo ?></b></h3>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                    <p style="padding-bottom:10px"><?= $r->subtitulo ?></p>
                                    <p><?= $r->valor; ?></p>
                                </a>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'downloads') { ?>
                        <!-- downloads -->
                        <tr>
                            <td class="icon"><i class="fa fa-download"></i></td>
                            <td class="text">
                                <a class="h4" href='javascript:abreJanelaContador("<?= str_replace('web/', '', dirURL(URL_DIR.API.$r->path.$r->arquivo)); ?>", "downloads/<?= $r->id ?>", "<?= API ?>!/contador")'>
                                    <h6><b>DOWNLOADS</b></h6>
                                    <h3><b><?= $r->titulo ?></b></h3>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                    <p style="padding-bottom:10px"><?= $r->legenda ?? (explode(' (', $r->arquivo, -1)[0]) ?></p>
                                </a>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'noticias') { ?>
                        <!-- noticias -->
                        <tr>
                            <td class="icon"><i class="fa fa-newspaper-o fa-2x"></i></td>
                            <td class="text">
                                <a href="pag.php?pg=public/viewc&tag=<?= $r->tag ?>" style="display: block;">
                                    <h6><b>PUBLICAÇÕES</b></h6>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                    <h3><b><?= $r->titulo ?></b></h3>
                                    <p><?= $r->subtitulo; ?></p>
                                </a>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'audios') { ?>
                        <!-- audios -->
                        <tr>
                            <td class="icon"><i class="fa fa-music fa-2x"></i></td>
                            <td class="text">
                                <h6><b>ÁUDIOS</b></h6>
                                <h3><b><?= $r->titulo ?></b></h3>
                                <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                <p style="padding-bottom:10px"><?= $r->descricao ?></p>
                                <?php $a = getAudios($r->id); foreach ($a as $a) { ?>
                                    <audio class="small" controls="controls"><source src="<?= API.$a->path.$a->arquivo ?>" type="audio/mp3" /></audio><br>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'galerias') { ?>
                        <!-- galerias -->
                        <tr>
                            <td class="icon"><i class="fa fa-picture-o fa-2x"></i></td>
                            <td class="text">
                                <a class="link" href="pag.php?pg=apis/galeria&ID=<?= $r->id ?>&titulo=<?= $r->titulo ?>">
                                    <h6><b>GALERIAS</b></h6>
                                    <h3><b><?= $r->titulo ?></b></h3>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                </a>
                                <p><?= $r->descricao; ?></p>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'videos') { ?>
                        <!-- videos -->
                        <tr>
                            <td class="icon"><i class="fa fa-film fa-2x"></i></td>
                            <td class="text">
                                <a class="popup-youtube" href="http://www.youtube.com/watch?v=<?= $r->codigo ?>" rel="fancyvideo">
                                    <h6><b>VÍDEOS</b></h6>
                                    <h3><b><?= $r->titulo; ?></b></h3>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                </a>
                                <p><?= $r->descricao; ?></p>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'governo') { ?>
                        <!-- governo -->
                        <tr>
                            <td class="icon"><i class="fa fa-users fa-2x"></i></td>
                            <td class="text">
                                <a class="h4" href="pag.php?pg=governo/view&tag=<?= $r->tag ?>"><?= $r->titulo ?>
                                    <h6><b>EQUIPE</b></h6>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                </a>
                                <h3><b><?= $r->subtitulo; ?></b></h3>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'agenda') { ?>
                        <!-- agenda -->
                        <tr>
                            <td class="icon"><i class="fa fa-calendar fa-2x"></i></td>
                            <td class="text">
                                <a href="pag.php?pg=apis/agenda&secao=Agenda">
                                    <div>
                                        <h6><b>AGENDA</b></h6>
                                        <h3><b><?= $r->titulo ?></b></h3>
                                        <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                        <p><?= $r->texto; ?></p>
                                    </div>
                                </a>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'enquetes') { ?>
                        <!-- enquetes -->
                        <tr>
                            <td class="icon"><i class="fa fa-search fa-2x"></i></td>
                            <td class="text">
                                <a class="h4" href="pag.php?pg=apis/enquetes&tag=<?= $r->tag ?>"><b><?= $r->titulo ?></b>
                                    <h6><b>ENQUETES</b></h6>
                                    <h6>Publicado em: <?= date('d/m/Y \à\s H:i', strtotime($r->data)); ?></h6>
                                </a>
                                <p><?= $r->texto; ?></p>
                            </td>
                        </tr>
                    <?php } ?>

                    <?php if ($r->app == 'links') { ?>
                        <!-- links -->
                        <tr>
                            <td class="icon"><i class="fa fa-external-link fa-2x"></i></td>
                            <td class="text">
                                <a class="h4" target="_blank" href="<?= $r->url ?>"><b><?= $r->titulo ?></b>
                                    <h6><b>LINKS ÚTEIS</b></h6>
                                    <h6>Link externo</h6>
                                </a>
                            </td>
                        </tr>
                    <?php } ?>

                <?php } ?>

                <?php if ($total > $limite) { ?>
                    <tr>
                        <td colspan="2">
                            <div style="margin-top: 10px;">
                                <?php include('plugins/paginacao/paginacao.php'); ?>
                            </div>
                        </td>
                    </tr>
                <?php } ?>
            <?php } else { ?>
                <div>Nenhum Resultado Encontrado;</div>
            <?php } ?>
            </table>
        </div>
    </div>
    <div class="col-2-4-1-dmin"><?php include_once "apis/aside.php"; ?></div>
    <div class="clear"></div> 
</div>
<div class="clear:both"></div>

<script src="plugins/js/janela.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="<?= PLUGINS ?>magnific/dist/magnific-popup.css" media="screen" />
<script type="text/javascript" src="<?= PLUGINS ?>magnific/dist/jquery.magnific-popup.min.js"></script>
<script>
$(document).ready(function() {
    $('.popup-youtube, .popup-vimeo, .popup-gmaps').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: true
    });
});
</script>
